Package Details: pgcli 2.1.1-4

Git Clone URL: https://aur.archlinux.org/pgcli.git (read-only)
Package Base: pgcli
Description: a command line interface for Postgres with auto-completion and syntax highlighting
Upstream URL: http://pgcli.com/
Keywords: dbcli postgres
Licenses: BSD
Conflicts: pgcli-git
Provides: pgcli
Submitter: fzerorubigd
Maintainer: asm0dey
Last Packager: asm0dey
Votes: 34
Popularity: 0.29
First Submitted: 2016-03-16 16:15
Last Updated: 2019-06-01 13:40

Pinned Comments

asm0dey commented on 2019-06-01 13:54

@Quatro updated requirement version, so waiting for sqlparse to update version

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

vltr commented on 2019-04-11 11:29

@asm0dey I switched to pgcli-git for now because the latest stable release (2.1.0) has the psycopg2 version tagged inside setup.py like this:

install_requirements = [
    'pgspecial>=1.11.5',
    'click >= 4.1',
    'Pygments >= 2.0',  # Pygments has to be Capitalcased. WTF?
    'prompt_toolkit>=2.0.6,<2.1.0',
    'psycopg2 >= 2.7.4,<2.8',
    'sqlparse >=0.2.2,<0.3.0',
    'configobj >= 5.0.6',
    'humanize >= 0.5.1',
    'cli_helpers[styles] >= 1.2.0',
]

Sorry about the "WTF?" in there, I just copied the code as is.

Another solution would be to downgrade your psycopg2 version from your pacman cache or from the archives. I really don't know exactly why the pgcli-git works because the codebase in the master branch has the same requirements as the latest release. Anyway, it is working (I just don't know at what extent) with psycopg2==2.8.1 in my local machine.

asm0dey commented on 2019-04-10 14:51

@vltr any ideas on how to fix it?

vltr commented on 2019-04-10 14:48

pgcli is broken today (20190410) since python-psycopg2 was upgraded in the community repo to version 2.8.1, making it incompatible with pgcli 2.1.0:

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (psycopg2 2.8.1 (/usr/lib/python3.7/site-packages), Requirement.parse('psycopg2<2.8,>=2.7.4'), {'pgcli'})

asm0dey commented on 2019-04-08 18:24

Thank you for report

Quatro commented on 2019-04-08 16:28

Yep, it's working fine. Thanks!

asm0dey commented on 2019-04-08 14:51

@Quatro please try again

Quatro commented on 2019-04-08 14:11

I think it's broken with today's update, since it requires cli_helpers[styles]>=1.2.0, but the latest on AUR is 1.1.0.

https://aur.archlinux.org/packages/python-cli_helpers/

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (cli-helpers 1.1.0 (/usr/lib/python3.7/site-packages), Requirement.parse('cli_helpers[styles]>=1.2.0'), {'pgcli'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/pgcli", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3241, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3225, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3254, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 585, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 598, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'cli_helpers[styles]>=1.2.0' distribution was not found and is required by pgcli

asm0dey commented on 2019-02-15 18:15

@Sherlock-Holo during which step do you see this message?

Sherlock-Holo commented on 2019-02-15 13:29

Traceback (most recent call last):
  File "/usr/bin/pgcli", line 11, in <module>
    load_entry_point('pgcli==2.0.2', 'console_scripts', 'pgcli')()
  File "/usr/lib/python3.7/site-packages/click/core.py", line 764, in __call__
    return self.main(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/click/core.py", line 717, in main
    rv = self.invoke(ctx)
  File "/usr/lib/python3.7/site-packages/click/core.py", line 956, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/usr/lib/python3.7/site-packages/click/core.py", line 555, in invoke
    return callback(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pgcli/main.py", line 994, in cli
    os.makedirs(config_dir)
  File "/usr/lib/python3.7/os.py", line 211, in makedirs
    makedirs(head, exist_ok=exist_ok)
  File "/usr/lib/python3.7/os.py", line 221, in makedirs
    mkdir(name, mode)
PermissionError: [Errno 13] Permission denied: '/var/lib/postgres/.config'

how to fix it?

asm0dey commented on 2019-01-04 19:36

Freakin python, I hoped it will fail build. I've filed an issue to python-pgspecial maintainer, until update it won't be possible to install this version of pgcli correctly. Sorry for that.